StandardizationRuleSet (CMDB Model API)
Keywords: com.collation.platform.model.standardization.StandardizationRuleSet interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.standardization
Interface StandardizationRuleSet

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface StandardizationRuleSet

extends ModelObject

Naming Rules:
  0="name"
Persistable:
  true
Table Name:
  STDZ_RULESET
Display Name:
  name

Method Summary
`java.lang.String` | `getName()` Name methods
`StandardizationRule[]` | `getStandardizationRules()` RuleSet Methods
`boolean` | `hasName()`
`boolean` | `hasStandardizationRules()`
`void` | `setName(java.lang.String name)`
`void` | `setStandardizationRules(StandardizationRule[] rules)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Name methods

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getStandardizationRules

    StandardizationRule[] getStandardizationRules()
                                                  throws AttributeNotSetException

  RuleSet Methods

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DefinedUsing" reverse="false"

### setStandardizationRules

    void setStandardizationRules(StandardizationRule[] rules)

### hasStandardizationRules

    boolean hasStandardizationRules()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD